Kaver {spatial} | R Documentation

## Average K-functions from Simulations

### Description

Forms the average of a series of (usually simulated) K-functions.

### Usage

    Kaver(fs, nsim, ...)

### Arguments

`fs` | full scale for K-fn
`nsim` | number of simulations
`...` | arguments to simulate one point process object

### Value

list with components `x` and `y` of the average K-fn on L-scale.

### References

Ripley, B. D. (1981) Spatial Statistics. Wiley.

Venables, W. N. and Ripley, B. D. (2002) Modern Applied Statistics with S. Fourth edition. Springer.

### See Also

`Kfn`, `Kenvl`

### Examples

    towns <- ppinit("towns.dat")
    par(pty="s")
    plot(Kfn(towns, 40), type="b")
    plot(Kfn(towns, 10), type="b", xlab="distance", ylab="L(t)")
    for(i in 1:10) lines(Kfn(Psim(69), 10))
    lims <- Kenvl(10,100,Psim(69))
    lines(lims$x,lims$lower, lty=2, col="green")
    lines(lims$x,lims$upper, lty=2, col="green")
    lines(Kaver(10,25,Strauss(69,0.5,3.5)),  col="red")

[Package spatial version 7.3-3 Index]